> # NAME

> cgGetStringStateAssignmentValue - get a string-valued state assignment's values

> # SYNOPSIS

>       #include <Cg/cg.h>

>       const char * cgGetStringStateAssignmentValue( CGstateassignment sa );

> # PARAMETERS

> sa

>   The state assignment.

> # RETURN VALUES

> Returns a pointer to a string.

> Returns NULL if an error occurs.

> # DESCRIPTION

> cgGetStringStateAssignmentValue allows the application to retrieve the value(s) of a string typed state assignment.

> # EXAMPLES

> to-be-written

> # ERRORS

> CG_INVALID_STATE_ASSIGNMENT_HANDLE_ERROR is generated if sa is not a valid state assignment.

> CG_STATE_ASSIGNMENT_TYPE_MISMATCH_ERROR is generated if sa is not a state assignment of a string type.

> # HISTORY

> cgGetStringStateAssignmentValue was introduced in Cg 1.4.

> # SEE ALSO

> cgGetStateAssignmentState, cgGetStateType, cgGetFloatStateAssignmentValues, cgGetIntStateAssignmentValues, cgGetBoolStateAssignmentValues, cgGetProgramStateAssignmentValue, cgGetSamplerStateAssignmentValue, cgGetTextureStateAssignmentValue